Message, "unable to install Java"

I downloaded the newest version of Java on my XP, Explorer 7. It shows up on my desktop but when I try to run it, I get a message, "Java unable to download." I currently have 1.4.2.

I noticed in my advanced tab there is a check mark by, "Always use Java 1.4.2. Should I uncheck this and try running it again? Also, I have never unistalled anything. Should I uninstall 1.4.2 before running the new version? I am afraid to do this because I am afraid if I uninstall and I can't install the new version, then I won't have any Java at all.

I also got the same message when trying to download the lastest Flash, "Unable to download."

I would be grateful for any help or suggestions.

Thank you